Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.coaext
Class EPPCoaExtAttr

    java.lang.Object
      com.verisign.epp.codec.coaext.EPPCoaExtAttr

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPCoaExtAttr

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a COA Attr Tag.

Title: EPP 1.0 Client Object Attribute - Attr

Description: Each EPPCoaExtAttr object represents a single Client Object Attribute. As such it contains a single key-value pair, represented by one EPPCoaExtKey and one EPPCoaExtValue element.
As XML, is is represented by a element containing a single element and a single element.

Copyright: Copyright (c) 2011

Company: VeriSign

Version:
  1.0
Author:
  jfaust
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the key tag

Constructor Summary
`EPPCoaExtAttr()` Default constructor
`EPPCoaExtAttr(java.lang.String aKey, java.lang.String aValue)` Convenience constructor specifying the key and value as arguments.

Method Summary
`java.lang.Object` | `clone()` A deep clone of the EPPCoaExtAttr.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPCoaExtAttr element by decoding its and subelements.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode an EPPCoaExtAttr by encoding its EPPCoaExtKey and EPPCoaExtValue attributes.
`boolean` | `equals(java.lang.Object aComp)` A deep comparison of this to another EPPCoaExtAttr.
`EPPCoaExtKey` | `getKey()` Get method for the EPPCoaExtKey attribute.
`EPPCoaExtValue` | `getValue()` Get method for the EPPCoaExtValue attribute.
`void` | `setKey(EPPCoaExtKey aKey)` Set method for the EPPCoaExtKey attribute.
`void` | `setValue(EPPCoaExtValue aValue)` Set method for the EPPCoaExtValue attribute.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the key tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPCoaExtAttr

    public EPPCoaExtAttr()

  Default constructor

### EPPCoaExtAttr

    public EPPCoaExtAttr(java.lang.String aKey,
                         java.lang.String aValue)

  Convenience constructor specifying the key and value as arguments.

  Parameters:
    `aKey` -
    `aValue` -

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPCoaExtAttr.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### equals

    public boolean equals(java.lang.Object aComp)

  A deep comparison of this to another EPPCoaExtAttr.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPCoaExtAttr element by decoding its and subelements.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.
  See Also:
    `EPPCodecComponent.decode(org.w3c.dom.Element)`

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode an EPPCoaExtAttr by encoding its EPPCoaExtKey and EPPCoaExtValue attributes.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.
  See Also:
    `EPPCodecComponent.encode(org.w3c.dom.Document)`

### getKey

    public EPPCoaExtKey getKey()

  Get method for the EPPCoaExtKey attribute.

  Returns:
    EPPCoaExtKey

### setKey

    public void setKey(EPPCoaExtKey aKey)

  Set method for the EPPCoaExtKey attribute.

  Parameters:
    `aKey` -

### getValue

    public EPPCoaExtValue getValue()

  Get method for the EPPCoaExtValue attribute.

  Returns:
    EPPCoaExtValue

### setValue

    public void setValue(EPPCoaExtValue aValue)

  Set method for the EPPCoaExtValue attribute.

  Parameters:
    `aValue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.